For the complete documentation index, see llms.txt. This page is also available as Markdown.

Upload asset file

Upload file for the asset which "container" record was created on the Add asset endpoint.

Required permissions: ASSET

post
/tenants/{tenantUid}/assets/{assetUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
assetUidstringRequired

Reference to an asset

Body
string · binaryOptional
Responses
201

Example response

application/json
and
post/tenants/{tenantUid}/assets/{assetUid}
POST /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/octet-stream
Accept: */*
Content-Length: 8

"binary"
201

Example response

{
  "assetUid": "text",
  "name": "text",
  "description": "text",
  "category": "BRANDING",
  "isPublic": true,
  "publicUrl": "text",
  "mimeType": "text",
  "size": "text",
  "serviceOrderUids": [
    "text"
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?